sayren Docs
스토어프론트 호스팅

스토어프론트 편집 환경 끄기

작업 트리는 보존된다. 15분 동안 활동이 없어도 스스로 꺼진다

DELETE
/v1/storefront/site/editing

작업 트리는 보존된다. 15분 동안 활동이 없어도 스스로 꺼진다

Authorization

accessToken
headerAuthorizationBearer <token>

Sayren 계정 토큰(로그인 토큰 또는 개인 액세스 토큰, RFC 9068 JWT)

Header Parameters

X-Store-Id*string

대상 상점 id. 토큰의 상점 범위 밖이면 403 STORE_NOT_GRANTED, 없으면 400 STORE_ID_REQUIRED다

Response Body

성공

application/json
  1. response
meta*
data*
error*|null
curl -X DELETE 'https://api.sayren.io/v1/storefront/site/editing' \  -H 'X-Store-Id: string'
{  "meta": {    "status": 200,    "code": "OK",    "message": "OK",    "isSuccess": true  },  "data": {    "enabled": true,    "session": {      "sessionId": "string",      "status": "STARTING",      "startStage": "string",      "startedAt": "string",      "lastEditedAt": "string",      "lastActiveAt": "string",      "idleExpiresAt": "string",      "closesAt": "string"    },    "capacity": {      "limit": 0,      "inUse": 0    },    "preview": {      "hostname": "string"    },    "workingTree": {      "modified": true,      "lastEditedAt": "string"    }  },  "error": null}